# CI Config for ltaftpy / gitlab

# nosetests template
.nose: &nose
  script:
    - pip3 install -e .
    - nosetests3
  artifacts:
    paths:
      - build
    expire_in: 8d

# doc template
.doc: &doc
  script:
    - pip3 install -e .
    - python3 setup.py build_sphinx
    - cp -r build/sphinx/html public
  artifacts:
    paths:
      - public

# Tests on X86_64 ubuntu
unbutu:X86_64:
  <<: *nose
  image: registry.gitlab.lif.univ-mrs.fr:5005/dev/ltfatpy/ubuntu:X86_64
  tags:
    - docker

# Tests on i686 ubuntu
ubuntu:i686:
  <<: *nose
  image: registry.gitlab.lif.univ-mrs.fr:5005/dev/ltfatpy/ubuntu:i686
  tags:
    - docker

# Doc Generation
pages:
  <<: *doc
  image: registry.gitlab.lif.univ-mrs.fr:5005/dev/ltfatpy/ubuntu:X86_64
  tags:
    - docker
  only:
    - master
